Bug 175251 - text is unreadable in kompare with dark color scheme
Summary: text is unreadable in kompare with dark color scheme
Status: RESOLVED FIXED
Alias: None
Product: kompare
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Kompare developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-11-15 21:32 UTC by Yuriy Kozlov
Modified: 2009-02-19 01:17 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yuriy Kozlov 2008-11-15 21:32:19 UTC
Version:            (using KDE 4.1.3)
OS:                Linux
Installed from:    Ubuntu Packages

I am using the wonton soup (dark gray) color scheme.  With this color scheme, the text for changed chunks in kompare is virtually unreadable.  It blends right in with the hilighting, especially for unselected chunks.

I think kompare should act like kate and stick to its own colors  for the text area instead of following the color scheme.
Comment 1 FiNeX 2009-01-04 17:11:39 UTC
I agree, it looks very bad.
Comment 2 Otto Bruggeman 2009-02-12 00:46:14 UTC
SVN commit 924959 by bruggie:

BUG:175251 Fixed following the colorscheme, now hardcodes to white background with darkGray text. Let's see how many comments i will get about this change and if there are many i'll fix it by adding a config option under Appearance. Also removing some redundant drawing with this patch.

 M  +5 -5      kompareconnectwidget.cpp  
 M  +12 -14    komparelistview.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=924959
Comment 3 Kevin Kofler 2009-02-19 01:03:29 UTC
SVN commit 928146 by kkofler:

Make changed text black, keep only unchanged text as dark gray. Otherwise all text was dark gray, didn't look too great. ;-)
CCBUG:175251

 M  +5 -1      komparelistview.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=928146
Comment 4 Kevin Kofler 2009-02-19 01:17:32 UTC
SVN commit 928150 by kkofler:

Mass backport of Kompare bugfixes for KDE 4.2.1 (should not touch any translatable strings): backport revisions 913308, 913309, 922431 (Kompare only), 924527, 924539, 924540, 924880, 924959, 924960, 925266, 926028, 926131, 926143, 926225, 928082 (minus i18n string changes), 928141, 928146 from trunk.
CCBUG: 176804
CCBUG: 169692
CCBUG: 182792
CCBUG: 176797
CCBUG: 175251
CCBUG: 75794
CCBUG: 89781
CCBUG: 145956
CCBUG: 107489
CCBUG: 165421
CCBUG: 174924
CCBUG: 103651
CCBUG: 102800
CCMAIL: bruggie@gmail.com

Bump Kompare version from 3.5.2 to 3.5.3 (trunk is 4.0.0).

Tested on Fedora 9 i386, KDE 4.2.0.

Note: skipped revision 926198 because it introduces a string and #124121 is more a user error than a bug anyway.

 M  +34 -30    kompare_shell.cpp  
 M  +18 -3     komparenavtreepart/komparenavtreepart.cpp  
 M  +15 -12    komparepart/kompare_part.cpp  
 M  +2 -2      komparepart/kompare_part.h  
 M  +9 -6      komparepart/kompareconnectwidget.cpp  
 M  +80 -31    komparepart/komparelistview.cpp  
 M  +26 -5     komparepart/komparelistview.h  
 M  +2 -2      komparepart/kompareprefdlg.cpp  
 M  +4 -1      komparepart/kompareprefdlg.h  
 M  +1 -1      komparepart/komparesplitter.cpp  
 M  +2 -1      libdialogpages/diffpage.cpp  
 M  +4 -3      libdialogpages/diffpage.h  
 M  +14 -4     libdialogpages/filespage.cpp  
 M  +4 -4      libdialogpages/filespage.h  
 M  +10 -8     libdiff2/difference.cpp  
 M  +5 -2      libdiff2/difference.h  
 M  +2 -1      libdiff2/diffhunk.cpp  
 M  +2 -2      libdiff2/diffhunk.h  
 M  +5 -30     libdiff2/diffmodel.cpp  
 M  +3 -6      libdiff2/diffmodel.h  
 M  +1 -1      libdiff2/diffmodellist.cpp  
 M  +4 -2      libdiff2/diffmodellist.h  
 M  +34 -31    libdiff2/komparemodellist.cpp  
 M  +3 -1      libdiff2/komparemodellist.h  
 M  +2 -1      libdiff2/kompareprocess.cpp  
 M  +53 -17    libdiff2/levenshteintable.cpp  
 M  +5 -1      libdiff2/parserbase.cpp  
 M  +21 -26    main.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=928150